tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefano Mazzocchi <stef...@apache.org>
Subject Re: Which Apache Version?
Date Thu, 22 Jul 1999 21:49:20 GMT
"Anil K. Vijendran" wrote:
> 
> Folks,
> 
> A couple of us here are wondering what your thoughts are on the Apache
> versions Jakarta/Tomcat should run on?

I would target 1.3.6 (nothing less) for AJP-connection and 2.0 for
native connection.

This means: merge the existing JServ code and you're done in the short
time. When Apache goes multithreaded, we might think of including the
JVM inside the Apache process and move from there on.

With Apache 1.3.x there is no choice but to follow the AJP model (unless
you want to fire off a single JVM per process and you have gigas of RAM
to throw away)

-- 
Stefano Mazzocchi       A language that doesn't affect the way you 
                      think about programming, is not worth knowing.
<stefano@apache.org>                             Alan J. Perlis
---------------------------------------------------------------------



Mime
View raw message